.rfs-login-box {

  display: flex;
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  height: rem(500);
  width: rem(800);

  &__logo {

    position: relative;
    display: flex;
    align-items: center;
    width: 55%;
    background-image: url('seed/src/assets/images/vaporwave.jpg');
    background-size: cover;
    background-position-x: -10rem;

  }

  &__user-count {

    position: absolute;
    bottom: 0;
    padding: 0.5rem;
    background-color: color(rich-black);
    color: color(wild-violet);

  }

  &__text {

    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    height: 75%;
    font-family: 'Tinos', serif;
  }

  &__sign-log {

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 45%;
    background-image: url('seed/src/assets/images/flowers.jpg');
    background-size: cover;

  }

  &__log-form {

    display: flex;
    flex-direction: column;
    justify-content: space-around;
    width: 80%;
    height: rem(260);
    padding: rem(10) rem(20) rem(10) rem(20);
    background-color: color(claret);
    border-radius: 8px;

  }

  &__form-header {

    font-family: 'Tinos', serif;
    font-weight: 600;
    font-size: 1.5rem;

  }

  &__register {

    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    width: 80%;
    height: rem(100);
    padding: rem(8);
    border-radius: 8px;

  }

  
}

.rfs-header {
  
  padding: 0.5rem;
  font-size: 4rem;
  letter-spacing: 0.8rem;
  text-align: center;
  background-color: color(rich-black);
  color: color(wild-violet);

}

.rfs-sub-header {

  padding-left: 0.8rem;
  padding-right: 0.8rem;
  font-size: 2rem;
  font-style: italic;
  letter-spacing: 0.8rem;
  background-color: color(rich-black);
  color: color(wild-violet);

}

.rfs-login-box__question {

  padding: rem(8);
  background-color: color(rich-black);
  color: color(wild-violet);

}

.rfs-message-box {

  display: none;
  opacity: 0;
  position: absolute;
  width: 320px;
  padding: 1rem;
  left: 50%;
  top: rem(100);
  transform: translateX(-50%);
  border-radius: 3px;
  box-shadow: 2px 2px 2px color(rich-black);
  background-color: color(tushy);
  font-size: 1.2rem;
  font-family: 'Tinos', serif;
  color: white;
  transition: opacity 1s ease;

  &__close {

    position: absolute;
    right: 0.2rem;
    top: 0.1rem;
    cursor: pointer;

  }

}

.rfs-register-dialog {

  display: flex;
  flex-direction: column;
  padding: 1rem;
  background-color: color(emerald);
  width: rem(400);
  height: rem(500);
  border-radius: 5px;
  box-shadow: 2px 2px 2px color(rich-black);

  &__header {

    font-family: 'Tinos', serif;
    font-size: 1.5rem;

  }

  &__register-form {

    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    height: 100%;

  }

}
